1. blkonblk17's Avatar
    I have an unlocked and JB Version 1.1.4. , My itunes is asking me to upgrade to the new 2.0 which would give me access to the app store and its better bla bla bla. What I want to know if will this LOCK my phone or mess it up since its unlocked using t mogile and JB on 1.1.4.

    Please help, dont want to make that mistake!!!
    2008-08-09 01:01 PM
LINK TO POST COPIED TO CLIPBOARD